[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# operator and(variant, variant): variant

Implement logical/binary and operation on variants

## Declaration

Source position: varianth.inc line 360

`operator operator and(variant, variant): variant(`
`const op1: variant;`
`const op2: variant`
`):variant;`

## Description

The implementation of the and operation is delegated to the variant manager with operation opand.

## Errors

Execution of this operator may result in an exception if no variant manager is installed or if the types of the operand are not suitable for the operation.

## See also

operator or(variant, variant): variant |  | Implement logical/binary or operation on variants
operator xor(variant, variant): variant |  | Implement logical/binary xor operation on variants
operator not(variant): variant |  | Implement logical/binary not operation on variants

Documentation generated on: Feb 26 2014